<<< Previous |  | Next >>>

# mail::folder::getPath

## Name

mail::folder::getPath -- Return the folder's server address

## Synopsis

#include <libmail/mail.H>
mail::folder *folder;

``std::string pathStr=folder->`getPath``(void);`

## USAGE

This function returns `folder`'s "server path". In general, this is the folder's location on the mail server. Applications should generally generally handle the path as an opaque text string that carries no specific interpretation. Valid uses of the folder's server path are limited to:

- If two `mail::folder` objects are linked to the same account and have the same path, it means that both objects refer to the same folder.

- The server path may be used as a parameter mail::account::findFolder(3x) in order to create a `mail::folder` object which refers to this specific folder.

- The server path may be used as a parameter mail::folder::isParentOf(3x) to determine whether this folder is contained within another folder.

## Return Codes

A string that specifies the folder's address on the mail server.

## SEE ALSO

mail::account::findFolder(3x), mail::folder::isParentOf(3x), mail::folder::getName(3x).

<<< Previous | Home | Next >>>
mail::folder::getParentFolder | Up | mail::folder::getRights